import { List } from 'immutable'
import Stimulus from '../index'

import StimulusRecord from '../../../../../../common/records/Stimulus'

describe('Build Sidebar Stimulus Index', () => {
  const stimulus = new StimulusRecord()
  const testbed = createTestbed(
    wrapInDragAndDropTestContext(withContext(Stimulus), {}), {
      stimulus: stimulus,
      quizEntry: { getEntry: () => stimulus, getNestedEntries: () => List() }
    })

  shouldRenderComponent(
    testbed, {}, Stimulus
  )
})
